Name: sunpinyin
Summary: A statistical language model based Chinese input method
Version: 2.0.3
Release: %mkrel 7
Group: System/Internationalization
License: LGPLv2+
URL: http://code.google.com/p/sunpinyin
Source0: http://sunpinyin.googlecode.com/files/%{name}-%{version}.tar.gz
Source1: http://open-gram.googlecode.com/files/lm_sc.t3g.arpa.tar.bz2
Source2: http://open-gram.googlecode.com/files/dict.utf8.tar.bz2
Patch0: http://sunpinyin.googlecode.com/files/force-switch-updated.patch
Patch1: sunpinyin-2.0.3-gcc47.patch
BuildRequires: sqlite3-devel
BuildRequires: scons

%description
SunPinyin is a statistical language model based Chinese input method,
which was firstly developed by Sun Beijing Globalization team, and
opensource'd to community with opensolaris project, with LGPLv2 and
CDDL dual-licenses.

%define major 3
%define libname %mklibname %name %major

%package -n %libname
Summary: Shared library for %name
Group: System/Internationalization
Requires: %name = %version

%description -n %libname
SunPinyin is a statistical language model based Chinese input method,
which was firstly developed by Sun Beijing Globalization team, and
opensource'd to community with opensolaris project, with LGPLv2 and
CDDL dual-licenses.

This package contains shared library for %name.

%define develname %mklibname -d %name

%package -n %develname
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
SunPinyin is a statistical language model based Chinese input method,
which was firstly developed by Sun Beijing Globalization team, and
opensource'd to community with opensolaris project, with LGPLv2 and
CDDL dual-licenses.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
cp %{SOURCE1} raw
cp %{SOURCE2} raw

%build
%setup_compile_flags
scons --prefix=%_prefix --libdir=%_libdir --libdatadir=%_datadir

%install
%setup_compile_flags
scons install --prefix=%_prefix --libdir=%_libdir --libdatadir=%_datadir --install-sandbox=%{buildroot}

%files
%_datadir/sunpinyin

%files -n %libname
%_libdir/*.so.%major
%_libdir/*.so.%major.*

%files -n %develname
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*




%changelog
* Fri Feb 12 2016 umeabot <umeabot> 2.0.3-7.mga6
+ Revision: 958916
- Mageia 6 Mass Rebuild

* Sun Aug 30 2015 cjw <cjw> 2.0.3-6.mga6
+ Revision: 871188
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-5.mga5
+ Revision: 751205
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-4.mga5
+ Revision: 689615
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 2.0.3-3.mga5
+ Revision: 648984
+ rebuild (emptylog)

* Fri Oct 18 2013 umeabot <umeabot> 2.0.3-3.mga4
+ Revision: 519369
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 383769
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 23 2012 fwang <fwang> 2.0.3-1.mga3
+ Revision: 309389
- more patch
- fix build with gcc 4.7

* Wed Jul 13 2011 fwang <fwang> 2.0.3-1.mga2
+ Revision: 123579
- imported package sunpinyin


* Tue Apr 26 2011 Funda Wang <fwang@mandriva.org> 2.0.3-1mdv2011.0
+ Revision: 659316
- import sunpinyin

